Bug 763823 - (GLUSTER-2091) Gluster CLI exits after issuing volume help
Gluster CLI exits after issuing volume help
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-11 12:56 EST by Eco
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eco 2010-11-11 12:56:08 EST
From the cli, if you issue the help command, you remain within the gluster> prompt.

gluster> help
volume info [all|<VOLNAME>] - list information of all volumes
...
help - display command options

However, if you issue: 
gluster> volume help   
volume info [all|<VOLNAME>] - list information of all volumes
...
volume reset <VOLNAME>  - reset all the reconfigured options
[root@edw-gc01 ~]#     <--- you get dropped to notmal shell
Comment 1 Anand Avati 2010-11-14 10:26:55 EST
PATCH: http://patches.gluster.com/patch/5689 in master (cli: remove special behavior for help commands without readline)
Comment 2 Pranith Kumar K 2010-11-14 18:16:56 EST
removed special behavior of exiting from shell when readline is not enabled to fix the bug.

Note You need to log in before you can comment on or make changes to this bug.